Skip to content

Your data / PVP tracker / Formation presets

PATCH
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId

Updates a formation preset. Fields you leave out keep their current values.

Parameters

  • seasonId (path): The season id.
  • presetId (path): The formation preset id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId
presetId

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "name": "Shun S.Hanako DEF"
}
curl -X PATCH https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "Shun S.Hanako DEF"
}'
Response
{
  "data": {
    "id": "mh7d76991k97a1ah49qegezqsh8e1nga",
    "createdAt": "2026-09-08T18:36:12.624Z",
    "name": "Shun S.Hanako DEF",
    "matchType": "defense",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
    "team": [
      {
        "studentId": "yuuka"
      },
      {
        "studentId": "hanako_swimsuit"
      },
      {
        "studentId": "shun"
      },
      {
        "studentId": "tsubaki"
      },
      {
        "studentId": "michiru_dress"
      },
      {
        "studentId": "hibiki"
      }
    ],
    "teamKey": "c5cf00744a2aa7a4",
    "usedByMe": true
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc